LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDataSeriesContainer Interface Reference

`import"XDataSeriesContainer.idl";`

Inheritance diagram for XDataSeriesContainer:

## Public Member Functions
void | addDataSeries ([in] XDataSeries aDataSeries) raises ( com::sun::star::lang::IllegalArgumentException )
| add a data series to the data series container More...
void | removeDataSeries ([in] XDataSeries aDataSeries) raises ( com::sun::star::container::NoSuchElementException )
| removes one data series from the data series container. More...
sequence< XDataSeries > | getDataSeries ()
| retrieve all data series More...
void | setDataSeries ([in] sequence< XDataSeries > aDataSeries) raises ( com::sun::star::lang::IllegalArgumentException )
| set all data series More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ addDataSeries()

void addDataSeries | ( | [in] XDataSeries | aDataSeries | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

add a data series to the data series container

Exceptions

  IllegalArgumentException | If the given data series is already contained in the data series container.

## ◆ getDataSeries()

sequence< XDataSeries > getDataSeries | ( |  | ) |

retrieve all data series

## ◆ removeDataSeries()

void removeDataSeries | ( | [in] XDataSeries | aDataSeries | ) |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

removes one data series from the data series container.

## ◆ setDataSeries()

void setDataSeries | ( | [in] sequence< XDataSeries > | aDataSeries | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

set all data series

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/XDataSeriesContainer.idl